#
# spec file for package libwnck (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip info insserv intltool iso_ent klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgpg-error libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libwnck
BuildRequires:  gnome-common gtk2-devel gtkdoc intltool perl-XML-Parser update-desktop-files
%define prefix /opt/gnome
License:        GPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        2.12.2
Release:        28.6
Summary:        Window Navigator Construction Kit (Library Package)
Source:         libwnck-%{version}.tar.bz2
Patch:          %{name}-uninitialized.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch2:         libwnck-noXRes.patch
Patch3:         libwnck-2.12.2-virtual-aspect-1.patch
Patch4:         libwnck-2.12.2-window-move-1.patch
Patch5:         libwnck-327435.patch
Patch6:         libwnck-116722-transient.patch
Patch7:         libwnck-leak.patch
Patch8:         libwnck-realistic-layout.patch
Patch9:         libwnck-opacity-2.patch
Patch10:        libwnck-2.12.2-viewport-1.patch
Patch11:        libwnck-border_width-fix-1.patch
Patch12:        libwnck-has-name.patch

%description
The Window Navigator Construction Kit is a library that can be used to
write task lists, pagers, and similar GNOME programs.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Requires:       %{name} = %{version} gtk2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%prep
%setup -q
if test -f /.buildenv ; then
   source /.buildenv
   if test "$BUILD_BASENAME" = "9.0-x86_64+kde" ; then
%patch2
   fi
fi
%patch
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake -c -a -f
autoconf
export CFLAGS="$RPM_OPT_FLAGS -W -Wall -Wno-unused-parameter -fno-strict-aliasing" 
export PKG_CONFIG_PATH=%{prefix}/%{_lib}/pkgconfig
./configure --prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--disable-gtk-doc \
        --without-html-dir \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make 

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/usr/%_lib
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/include/libwnck-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n libwnck
* Tue May 30 2006 - danw@suse.de
- Patch in a new method from libwnck HEAD to allow compiz to know
  when a window has a real name (as opposed to a fallback name like
  "untitled window"). #173059
* Fri May 12 2006 - dreveman@suse.de
- Fix so that correct geometry is returned when border width is
  greater than 0. (bnc 178222)
* Thu May 04 2006 - dreveman@suse.de
- Add opacity window action sub-menu patch.
  (libwnck-opacity-2.patch)
- Add patch for viewport options in window action menu.
  (libwnck-2.12.2-viewport-1.patch) (bnc 160004)
* Thu Apr 27 2006 - joeshaw@suse.de
- Add a patch to fix some layout and grouping bugs in the tasklist.
  (bnc #148840)
* Tue Mar 07 2006 - danw@suse.de
- Fix a crash in libwnck-2.12.2-virtual-aspect-1.patch (144722).
  Fix some memory leaks to hopefully fix 78329.
* Tue Feb 28 2006 - danw@suse.de
- Fix infinite loop when a window is marked TRANSIENT_FOR itself
  (116722)
* Wed Feb 15 2006 - gekker@suse.de
- Fix crash on window switch (b.g.o#327435)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 07 2006 - dreveman@suse.de
- Add window movement patch
* Wed Jan 04 2006 - dreveman@suse.de
- Add virtual desktop aspect ratio patch
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Mon Aug 22 2005 - rodrigo@suse.de
- Update to version 2.11.92
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
- Fix use of unitialized variable
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 2.11.4
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 2.11.3
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.92.1
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.9.91
* Sun Feb 06 2005 - gekker@suse.de
- Update to version 2.9.90
* Tue Jan 04 2005 - gekker@suse.de
- Update to version 2.9.3
* Tue Dec 21 2004 - gekker@suse.de
- Update to version 2.8.1.
- Add gtk-doc to needed for build, release version now requires it
- Add --disable-html-dir to keep html docs from being built
* Tue Nov 23 2004 - ro@suse.de
- do not use libXRes on 9.0-x86_64
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.6.0.1 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0.1 (GNOME 2.4).
* Tue Jul 15 2003 - pthomas@suse.de
- Clean up the code, specially where dereferencing type-punned
  pointers would break alias analysis.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Use %%find_lang.
* Mon Jun 02 2003 - ro@suse.de
- add translations to filelist
* Wed Jan 29 2003 - hhetter@suse.de
- update to version 2.2.0
* Thu Jan 16 2003 - hhetter@suse.de
- updated to version 2.1.90
- use gtk2-devel-packages in #neededforbuild
* Wed Jan 15 2003 - sbrabec@suse.cz
- Added expat to neededforbuild.
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 0.18 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Thu Oct 24 2002 - hhetter@suse.de
- use "-c" with automake (Bug Id #21066)
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 0.16
* Wed Jun 19 2002 - ro@suse.de
- use "-a -f" for automake
* Wed Jun 19 2002 - hhetter@suse.de
- updated to version 0.14
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 0.13, sorce frozen
* Wed May 15 2002 - ro@suse.de
- use libdir
* Wed Apr 10 2002 - hhetter@suse.de
- updated to version 0.7
* Thu Jan 17 2002 - hhetter@suse.de
- really prefixed to /opt/gnome2
* Thu Jan 17 2002 - hhetter@suse.de
- prefixed to /opt/gnome2
* Wed Jan 16 2002 - hhetter@suse.de
- updated to version 0.2
* Tue Jan 15 2002 - hhetter@suse.de
- fixed prefix
* Mon Jan 14 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
- build with automake 1.5
